# 项目相关配置
srs:
  # 名称
  name: srs
  # 版本
  version: 3.8.5
  # 版权年份
  copyrightYear: 2023
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例( Windows配置D:/srs/uploadPath,Linux配置 /home/srs/uploadPath)#D:/srs/uploadPath
  # 后续发布代码，这里路径不能变
  profile: /usr/local/java/srs/uploadPath
  #profile: D:/srs/uploadPath  #/srs/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math
  url: https://zhxg.gxsdxy.cn/srs/prod_api/


# 开发环境配置
server:
  # 服务器的HTTP端口,默认为8080  正式:8085 测试:8088
  port: 8085
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数,默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数,默认为200
      max: 800
      # Tomcat启动初始化的线程数,默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.srs: debug
    org.springframework: warn

#dify配置
dify:
#  base-url: http://47.112.118.149:8100 #http://172.16.129.101:6100  #公司服务器
#  api-key: app-90hBr3Sisl5IdGrnJ0XhyMR4 #app-BfPtBZDNBuHOS9K1PaZrxQYE #公司服务器
  base-url: http://172.16.96.112:8100  #学校服务器
  api-key: app-4NOtXzMh1jorsBv4LETDnHGv #学校服务器

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间(默认10分钟)
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
#    active: druid   #正式环境
   active: dev   #测试环境
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: false
  # redis 配置
  redis:
    # 地址
    host: localhost     #正式环境redis
#   host: 47.112.118.149 #测试开发地址
#     端口,默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码SSSS
#   password: Houpuyfb   #测试开发密码
    password:       #正式环境密码
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间(使用负值表示没有限制)
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期(默认30分钟)
  expireTime: 43200

# MyBatis配置
#mybatis:
#    # 搜索指定包别名
#    typeAliasesPackage: com.srs.**.domain
#    # 配置mapper的扫描,找到所有的mapper.xml映射文件
#    mapperLocations: classpath*:mapper/**/*Mapper.xml
#    # 加载全局的配置文件
#    configLocation: classpath:mybatis/mybatis-config.xml


mybatis-plus:
  type-aliases-package: com.srs.**.domain
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  configuration:
    safe-result-handler-enabled: true
    default-executor-type: simple
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    call-setters-on-nulls: true

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql
  autoRuntimeDialect: true
# Swagger配置
swagger:
  # 是否开启swagger
  enabled: false
  # 请求前缀
  #pathMapping: /
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: false
  # 排除链接(多个用逗号分隔)
  excludes: /system/notify/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*,/stureg/intenetin/*

#阿里云短信
srsjava:
  sms:
    signName: 广西厚溥数字科技 #验证码签名
    templateCode: SMS_462580578 #验证码模板
    noticeSignName: 黄先生的博客 #通知签名
    noticeTemplateCode: SMS_462270042 #通知模板
    accessKey: LTAI5tHEpB5fgt6uqMVc7PmK
    secret: LoXHpyNvv2x6a6KGpdU1r28WyRM5B5

#CAS
cas:
  server:
    host:
      #CAS服务地址
      url: https://rsso.gxsdxy.cn
      #CAS服务登录地址
      login_url: ${cas.server.host.url}/login
      #CAS服务登出地址
      logout_url: ${cas.server.host.url}/logout?service=${app.server.host.url}/logout
# 应用访问地址
app:
  #开启cas
  casEnable: false
  server:
    host:
      url: https://zhxgjava.gxsdxy.cn
  #应用登录地址
  login_url: /
  #应用登出地址
  logout_url: /logout
  #前端登录地址
  web_url: https://zhxg.gxsdxy.cn/cas/#/index
  #移动端登录地址
  wab_url: https://zhxg.gxsdxy.cn/wab/
wechat:
  corpId: wx129e6bf0f36b8b3d
  secret: qoNhKNJc2vCeV0700u5d0F7wLFX2U_uUx3YC1PYuwL0
  agentId: 1000093


#excel模板路径配置
exclepath:
  profile: D:/srs/uploadPath
